---
search:
  tags:
    - settings
    - GET
seo:
  description: >-
    The response never holds the client secret: client_secret_set tells…
    Reference for the GET /api/v1/settings/oidc endpoint in the TimescaleDB
    Enterprise API.
sidebar:
  label: Get single sign-on settings
  badge: GET
title: Get single sign-on settings
type: openapi-operation
---
The response never holds the client secret: client_secret_set tells if one is stored.

`GET /api/v1/settings/oidc`

**Responses**

- `200` — OK
- `default` — Error

Response example, 200:

```json
{
  "admin_groups": [
    "string"
  ],
  "allow_local_login": true,
  "client_id": "string",
  "client_secret_state": "set",
  "default_role": "none",
  "enabled": true,
  "issuer_url": "string",
  "local_login_lock_reason": "string",
  "operator_groups": [
    "string"
  ],
  "redirect_uri": "string",
  "role_claim": "string",
  "viewer_groups": [
    "string"
  ]
}
```
